Skip to content

List Model Catalog

GET /model-catalog
NameInTypeNotes
providerquerystring | nulloptional—
supports_visionqueryboolean | nulloptional—
supports_audioqueryboolean | nulloptional—
supports_cachingqueryboolean | nulloptional—
qquerystring | nulloptional—
limitqueryintegeroptionalDefault 50. min 1 max 200
cursorquerystring | nulloptional—
offsetqueryinteger | nulloptionalmin 0
StatusDescriptionBody
200Successful ResponsePage_ModelCatalogEntryView_
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/model-catalog \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
itemsModelCatalogEntryView[]required—
next_cursorstring | nulloptional—
totalinteger | nulloptional—